/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.security.SecIdentitySearch;

import dstep.corefoundation.CFArray;
import dstep.corefoundation.CFBase;
import dstep.corefoundation.CFDictionary;
import dstep.corefoundation.CFString;
import dstep.security.SecBase;
import dstep.security.cssmtype;

struct OpaqueSecIdentitySearchRef;

alias OpaqueSecIdentitySearchRef* SecIdentitySearchRef;

extern (C)
{
	uint SecIdentitySearchGetTypeID ();
	int SecIdentitySearchCreate (CFTypeRef keychainOrArray, uint keyUsage, SecIdentitySearchRef* searchRef);
	int SecIdentitySearchCopyNext (SecIdentitySearchRef searchRef, SecIdentityRef* identity);
}