/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.security.SecTrustedApplication;

import dstep.corefoundation.CoreFoundation;
import dstep.security.SecBase;

extern (C)
{
	uint SecTrustedApplicationGetTypeID ();
	int SecTrustedApplicationCreateFromPath (char* path, SecTrustedApplicationRef* app);
	int SecTrustedApplicationCopyData (SecTrustedApplicationRef appRef, CFDataRef* data);
	int SecTrustedApplicationSetData (SecTrustedApplicationRef appRef, CFDataRef data);
}